#
# $Id: Makefile,v 1.11 1999/09/02 18:37:51 gcla Exp $
#
# file       	: Makefile
# description	: PWB Makefile
# author     	: Graham Clark
# Time-stamp    : <02 Sep 99 19:03:48 gcla>
#
# Produced for building PEPA Workbench (pwb)
#


include Makefile.config


$(SRCDIR)/pwb :
	(cd $(SRCDIR) ; $(MAKE) )

nj :
	(cd $(SRCDIR) ; $(MAKE) nj )

bcg test:
	(cd $(TESTDIR) ; $(MAKE) $(MAKEFLAGS) bcg)

post-cvs:
	-( cd linux-x86/bin && \
	   ( rm -f pwb ; \
	     ln -sf $(PWD)/$(SRCDIR)/pwb.linux-x86 pwb ; \
	     rm process_var ; \
	     ln -sf $(PWD)/$(SRCDIR)/process_var.linux-x86 process_var ; \
	     rm pwbsolve ; \
	     ln -sf $(PWD)/$(SRCDIR)/pwbsolve.linux-x86 pwbsolve ) )
	-( cd sun4-51/bin && \
	   ( rm -f pwb ; \
	     ln -sf $(PWD)/$(SRCDIR)/pwb.sun4-51 pwb ; \
	     rm process_var ; \
	     ln -sf $(PWD)/$(SRCDIR)/process_var.sun4-51 process_var ; \
	     rm pwbsolve ; \
	     ln -sf $(PWD)/$(SRCDIR)/pwbsolve.sun4-51 pwbsolve ) )

clean:	
#	-rm *.maple *.hash *.table A.var A.size
	-( cd $(SRCDIR) && $(MAKE) clean )
	-( cd $(TESTDIR) && $(MAKE) clean )

